# Nice containers for beginners

#### **Quellen**

- [selfh.st](https://selfh.st/apps/) <- viele opensource projekte (einige davon dockerized)
- [Awesome Docker](https://github.com/veggiemonk/awesome-docker)

## **Reverseproxies:**

> [!TIP]
> Hier wird zumindest einer benötigt, um SSL-Verschlüsselung und HTTPS auf den Websites zu aktivieren Caddy ist zwar an sich einfacher, weil es nur eine einzige config datei hat, aber zum lernen würde ich den nginxproxymanager empfehlen, da er eine kleine webui hat und man das konzept so gut lernen und verstehen kann

- [Nginx Reverseproxy-Manager](https://nginxproxymanager.com/guide/)
- [Caddy](https://hub.docker.com/_/caddy/)

## **Dashboards:**

> Pick whatever you like. Homepage wird in einer config datei (yml) konfiguriert. Daher würde ich Dashy oder Flame eher für den Anfang empfehlen

- [Dashy](https://github.com/Lissy93/dashy)
- [Flame](https://github.com/pawelmalak/flame)
- [Homepage](https://gethomepage.dev/)

## **DNS**

- [PiHole](https://docs.pi-hole.net/docker/)
- [AdGuardHome](https://github.com/AdguardTeam/AdGuardHome#getting-started)

## **Documentation (Wikis)**

> [!TIP]
> Markdown sollte hierbei ein Begriff sein. Einfach zu lernen mit vielen starken optionen zum styling

- [Memos](https://www.usememos.com/) <- Einfach memos
- [DocMost](https://docmost.com/)
- [BookStack](https://github.com/linuxserver/docker-bookstack)

## **Document-Management:**

> filebrowser und mydrive sind zwei sehr einfache file share services, die mit einer schönen kleinen Weboberfläche kommen
> Nextcloud ist etwas mächtiger, zwar auch deutlich hübscher und mit Android/iOS app etc. Aber eben auch etwas komplexer. Ist aber machbar
> PaperlessNGX ist ein Dokumentenspeichersystem, hauptsächlich für pdf dateien. Ich lasse mir dort täglich und regelmäßig aus meinen Mailpostfächern die .pdf Dateien, die als Rechnung deklariert sind automatisch in mein System einspielen. Automatisierungstechnisch ein Traum!

- [filebrowser](https://github.com/hurlenko/filebrowser-docker)
- [my-drive](https://github.com/subnub/myDrive)
- [nextcloud](https://hub.docker.com/_/nextcloud)
- [PaperlessNGX](https://docs.paperless-ngx.com/setup/#docker)

- [Immich](https://immich.app/docs/install/docker-compose) <- google photos clone, für zuhause! (Bessere Suchfunktion, Personenerkennung, Geodaten auf einer Map...)

## **Git**

- [GiTea](https://docs.gitea.com/next/installation/install-with-docker) <- Ressourceneffizienteste Option || Basis Funktionen
- [OneDev](https://onedev.io/) <- Eher für DevOps gedacht, direkte CI/CD integration
- [GitLab](https://docs.gitlab.com/install/docker/) <- Business option, meiner Meinung nach das hübscheste, allerdings auch das ressourcenintensivste

## **Sonstige**

### **Passwormanager**

- [vaultwarden](https://github.com/dani-garcia/vaultwarden) <- das ist vaultwarden. Bitwarden + ohne zu Zahlen ^^

### **docker helpers**

- [diun](https://crazymax.dev/diun/) <- UpdateCheker with push notifications
- [doozle](https://dozzle.dev/) <- docker dashboard for log and error management

### **notifications**

- [ntfy](https://ntfy.sh/) <- ich nutze diun in kombination mit ntfy, um genau zu wissen, wann neue updates verfügbar sind
  > ntfy benachrichtigt mich auch _*IMMER*_ wenn per ssh ein login stattfindet, somit weiß ich SOFORT wenn etwas nicht stimmt, und jemand sich ohne mein wissen einloggt

### **plug and play**

- [Whoogle](https://github.com/benbusby/whoogle-search) <- Selbst gehostetes und privates google-frontend
- [Excalidraw](https://hub.docker.com/r/excalidraw/excalidraw)
- [PDF-Tools](https://github.com/Stirling-Tools/Stirling-PDF) <- Alles rund um pdf themen
- [IT-Tools](https://github.com/CorentinTh/it-tools) <- Geile it-tools, gerne hier mal anschauen [Mein IT-Tools](https://it-tools.k4li.de/)
